| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
os_task.c File Reference
`#include <os.h>`

Go to the source code of this file.

## Macros
#define | MICRIUM_SOURCE

## Functions
void | OSTaskCreate (OS_TCB *p_tcb, CPU_CHAR *p_name, OS_TASK_PTR p_task, void *p_arg, OS_PRIO prio, CPU_STK *p_stk_base, CPU_STK_SIZE stk_limit, CPU_STK_SIZE stk_size, OS_MSG_QTY q_size, OS_TICK time_quanta, void *p_ext, OS_OPT opt, OS_ERR *p_err)
OS_SEM_CTR | OSTaskSemPend (OS_TICK timeout, OS_OPT opt, CPU_TS *p_ts, OS_ERR *p_err)
OS_SEM_CTR | OSTaskSemPost (OS_TCB *p_tcb, OS_OPT opt, OS_ERR *p_err)
OS_SEM_CTR | OSTaskSemSet (OS_TCB *p_tcb, OS_SEM_CTR cnt, OS_ERR *p_err)
void | OS_TaskInit (OS_ERR *p_err)
void | OS_TaskInitTCB (OS_TCB *p_tcb)
void | OS_TaskReturn (void)
OS_SEM_CTR | OS_TaskSemPost (OS_TCB *p_tcb, OS_OPT opt, CPU_TS ts, OS_ERR *p_err)

## Macro Definition Documentation

#define MICRIUM_SOURCE

Definition at line 33 of file os_task.c.

## Function Documentation

void OS_TaskInit | ( | OS_ERR * | p_err | ) |

Definition at line 1923 of file os_task.c.

void OS_TaskInitTCB | ( | OS_TCB * | p_tcb | ) |

Definition at line 1957 of file os_task.c.

void OS_TaskReturn | ( | void |  | ) |

Definition at line 2292 of file os_task.c.

OS_SEM_CTR OS_TaskSemPost | ( | OS_TCB * | p_tcb,
|  | OS_OPT | opt,
|  | CPU_TS | ts,
|  | OS_ERR * | p_err
| ) |  |

Definition at line 2342 of file os_task.c.

void OSTaskCreate | ( | OS_TCB * | p_tcb,
|  | CPU_CHAR * | p_name,
|  | OS_TASK_PTR | p_task,
|  | void * | p_arg,
|  | OS_PRIO | prio,
|  | CPU_STK * | p_stk_base,
|  | CPU_STK_SIZE | stk_limit,
|  | CPU_STK_SIZE | stk_size,
|  | OS_MSG_QTY | q_size,
|  | OS_TICK | time_quanta,
|  | void * | p_ext,
|  | OS_OPT | opt,
|  | OS_ERR * | p_err
| ) |  |

Definition at line 249 of file os_task.c.

OS_SEM_CTR OSTaskSemPend | ( | OS_TICK | timeout,
|  | OS_OPT | opt,
|  | CPU_TS * | p_ts,
|  | OS_ERR * | p_err
| ) |  |

Definition at line 1262 of file os_task.c.

OS_SEM_CTR OSTaskSemPost | ( | OS_TCB * | p_tcb,
|  | OS_OPT | opt,
|  | OS_ERR * | p_err
| ) |  |

Definition at line 1497 of file os_task.c.

OS_SEM_CTR OSTaskSemSet | ( | OS_TCB * | p_tcb,
|  | OS_SEM_CTR | cnt,
|  | OS_ERR * | p_err
| ) |  |

Definition at line 1570 of file os_task.c.